Package com.avaya.clientservices.unifiedportal

## Enum UnifiedPortalError

- java.lang.Object
- - java.lang.Enum<UnifiedPortalError>
  - - com.avaya.clientservices.unifiedportal.UnifiedPortalError

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<UnifiedPortalError>`

      public enum UnifiedPortalError
      extends java.lang.Enum<UnifiedPortalError>

  Enumeration representing failure of a unified portal service operation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUTHENTICATION_FAILURE` | An invalid username or password was provided.
    `CERTIFICATE_ERROR` | The request was rejected due to certificate error.
    `FAILED` | Operation has failed.
    `FORBIDDEN_ONE_TIME_PIN_REQUIRED` | Reported if oneTimePin required, but given user isn't owner of room.
    `GUEST_ACCESS_DENIED` | Reported if user is guest and guest access disabled.
    `IDENTITY_BAD_CERTIFICATE` | Client certificate is corrupt or in other way invalid.
    `IDENTITY_EXPIRED_CERTIFICATE` | Client certificate has expired.
    `IDENTITY_NO_CERTIFICATE` | Client certificate is missing.
    `IDENTITY_REVOKED_CERTIFICATE` | Client certificate was revoked by the issuing authority.
    `IDENTITY_UNKNOWN_CA` | Client certificate has expired.
    `IDENTITY_UNSUPPORTED_CERTIFICATE` | Client certificate type is not supported by the server.
    `INCORRECT_INPUT` | Reported if user input is incorrect.
    `INITIATE_NON_VIRTUAL_ROOM_MEETING_DISALLOWED` | Reported if a user tries to create a meeting outside a virtual room.
    `INVALID_IDENTITY_CERTIFICATE` | Client identity certificate is rejected by the server.
    `INVALID_PARAMETER` | Reported when an invalid parameter is used for the request.
    `INVALID_STATE` | Reported if Unified Portal provider has not been started or has already been shutdown.
    `IVIEW_NOT_CONNECTED` | Reported if iView is not available.
    `LOCKED_CONFERENCE` | Reported if conference is locked and the user is not allowed to knock to it.
    `NOT_AUTHORIZED` | Reported when authentication is required to complete the request.
    `NOT_SUPPORTED` | Reported when a requested operation is not supported.
    `ONE_TIME_PIN_REQUIRED` | Reported if user is owner and one time pin is required.
    `PIN_IS_TOO_SHORT` | Reported if user enters PIN which is shorter than the minimum length configured.
    `PROXY_AUTHENTICATION_ERROR` | The authentication credentials provided for logging into the proxy were rejected.
    `PROXY_CONNECTION_ERROR` | A connection could not be established to the proxy server.
    `SECURE_CONNECTION_ERROR` | The request was rejected due to an SSL error.
    `SEND_ERROR` | Reported when a network message could not be sent due to a network connection error.
    `SERVER_ERROR` | Reported when the request has failed due to an internal server error.
    `TENANT_DOES_NOT_EXIST` | Reported if provided tenant alias does not exist.
    `TIMEOUT` | The operation time limit was exceeded.
    `UNAUTHORIZED_PARTICIPANT_ID` | Reported if unauthorized user tries to join virtual room protected by participant-id.
    `UNDEFINED` | Undefined
    `VALIDATION_FAILED` | Reported if the name of the user did not pass validation.
    `VIRTUAL_ROOM_DISABLED` | Reported if virtual room is disabled.
    `VIRTUAL_ROOM_DOES_NOT_ALLOW_INSTANT_MEETING` | Reported if virtual room does not allow creation of instant meeting.
    `VIRTUAL_ROOM_NOT_FOUND` | Reported if provided conference id is not found.
    `WEB_COLLABORATION_DISABLED` | Reported if web collaboration is disabled.
    `WRONG_CURRENT_CONFERENCE` | Reported if conference id is incorrect.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static UnifiedPortalError` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static UnifiedPortalError[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FAILED

          public static final UnifiedPortalError FAILED

      Operation has failed. The failure reason was not specified.

    - #### SEND_ERROR

          public static final UnifiedPortalError SEND_ERROR

      Reported when a network message could not be sent due to a network connection error.

    - #### TIMEOUT

          public static final UnifiedPortalError TIMEOUT

      The operation time limit was exceeded.

    - #### AUTHENTICATION_FAILURE

          public static final UnifiedPortalError AUTHENTICATION_FAILURE

      An invalid username or password was provided.

    - #### CERTIFICATE_ERROR

          public static final UnifiedPortalError CERTIFICATE_ERROR

      The request was rejected due to certificate error.

    - #### IDENTITY_NO_CERTIFICATE

          public static final UnifiedPortalError IDENTITY_NO_CERTIFICATE

      Client certificate is missing.

    - #### IDENTITY_BAD_CERTIFICATE

          public static final UnifiedPortalError IDENTITY_BAD_CERTIFICATE

      Client certificate is corrupt or in other way invalid.

    - #### IDENTITY_UNSUPPORTED_CERTIFICATE

          public static final UnifiedPortalError IDENTITY_UNSUPPORTED_CERTIFICATE

      Client certificate type is not supported by the server.

    - #### IDENTITY_REVOKED_CERTIFICATE

          public static final UnifiedPortalError IDENTITY_REVOKED_CERTIFICATE

      Client certificate was revoked by the issuing authority.

    - #### IDENTITY_EXPIRED_CERTIFICATE

          public static final UnifiedPortalError IDENTITY_EXPIRED_CERTIFICATE

      Client certificate has expired.

    - #### INVALID_IDENTITY_CERTIFICATE

          public static final UnifiedPortalError INVALID_IDENTITY_CERTIFICATE

      Client identity certificate is rejected by the server.

    - #### IDENTITY_UNKNOWN_CA

          public static final UnifiedPortalError IDENTITY_UNKNOWN_CA

      Client certificate has expired.

    - #### SECURE_CONNECTION_ERROR

          public static final UnifiedPortalError SECURE_CONNECTION_ERROR

      The request was rejected due to an SSL error.

    - #### SERVER_ERROR

          public static final UnifiedPortalError SERVER_ERROR

      Reported when the request has failed due to an internal server error.

    - #### INVALID_PARAMETER

          public static final UnifiedPortalError INVALID_PARAMETER

      Reported when an invalid parameter is used for the request.

    - #### NOT_AUTHORIZED

          public static final UnifiedPortalError NOT_AUTHORIZED

      Reported when authentication is required to complete the request.

    - #### WRONG_CURRENT_CONFERENCE

          public static final UnifiedPortalError WRONG_CURRENT_CONFERENCE

      Reported if conference id is incorrect.

    - #### INITIATE_NON_VIRTUAL_ROOM_MEETING_DISALLOWED

          public static final UnifiedPortalError INITIATE_NON_VIRTUAL_ROOM_MEETING_DISALLOWED

      Reported if a user tries to create a meeting outside a virtual room.

    - #### INCORRECT_INPUT

          public static final UnifiedPortalError INCORRECT_INPUT

      Reported if user input is incorrect.

    - #### LOCKED_CONFERENCE

          public static final UnifiedPortalError LOCKED_CONFERENCE

      Reported if conference is locked and the user is not allowed to knock to it.

    - #### GUEST_ACCESS_DENIED

          public static final UnifiedPortalError GUEST_ACCESS_DENIED

      Reported if user is guest and guest access disabled.

    - #### VALIDATION_FAILED

          public static final UnifiedPortalError VALIDATION_FAILED

      Reported if the name of the user did not pass validation.

    - #### ONE_TIME_PIN_REQUIRED

          public static final UnifiedPortalError ONE_TIME_PIN_REQUIRED

      Reported if user is owner and one time pin is required.

    - #### FORBIDDEN_ONE_TIME_PIN_REQUIRED

          public static final UnifiedPortalError FORBIDDEN_ONE_TIME_PIN_REQUIRED

      Reported if oneTimePin required, but given user isn't owner of room.

    - #### WEB_COLLABORATION_DISABLED

          public static final UnifiedPortalError WEB_COLLABORATION_DISABLED

      Reported if web collaboration is disabled.

    - #### NOT_SUPPORTED

          public static final UnifiedPortalError NOT_SUPPORTED

      Reported when a requested operation is not supported.

    - #### IVIEW_NOT_CONNECTED

          public static final UnifiedPortalError IVIEW_NOT_CONNECTED

      Reported if iView is not available.

    - #### VIRTUAL_ROOM_NOT_FOUND

          public static final UnifiedPortalError VIRTUAL_ROOM_NOT_FOUND

      Reported if provided conference id is not found.

    - #### TENANT_DOES_NOT_EXIST

          public static final UnifiedPortalError TENANT_DOES_NOT_EXIST

      Reported if provided tenant alias does not exist.

    - #### PROXY_CONNECTION_ERROR

          public static final UnifiedPortalError PROXY_CONNECTION_ERROR

      A connection could not be established to the proxy server.

    - #### PROXY_AUTHENTICATION_ERROR

          public static final UnifiedPortalError PROXY_AUTHENTICATION_ERROR

      The authentication credentials provided for logging into the proxy were rejected.

    - #### VIRTUAL_ROOM_DOES_NOT_ALLOW_INSTANT_MEETING

          public static final UnifiedPortalError VIRTUAL_ROOM_DOES_NOT_ALLOW_INSTANT_MEETING

      Reported if virtual room does not allow creation of instant meeting. An instant meeting is a meeting that was not scheduled beforehand.

    - #### VIRTUAL_ROOM_DISABLED

          public static final UnifiedPortalError VIRTUAL_ROOM_DISABLED

      Reported if virtual room is disabled.

    - #### UNAUTHORIZED_PARTICIPANT_ID

          public static final UnifiedPortalError UNAUTHORIZED_PARTICIPANT_ID

      Reported if unauthorized user tries to join virtual room protected by participant-id.

    - #### INVALID_STATE

          public static final UnifiedPortalError INVALID_STATE

      Reported if Unified Portal provider has not been started or has already been shutdown.

    - #### PIN_IS_TOO_SHORT

          public static final UnifiedPortalError PIN_IS_TOO_SHORT

      Reported if user enters PIN which is shorter than the minimum length configured.

    - #### UNDEFINED

          public static final UnifiedPortalError UNDEFINED

      Undefined

  - ### Method Detail

    - #### values

          public static UnifiedPortalError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UnifiedPortalError c : UnifiedPortalError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UnifiedPortalError valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null